<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (14.0.2) on Tue Oct 27 22:58:03 CET 2020 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-27">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="tree">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/processo/sviluppo/springbootapp/package-tree.html">com.processo.sviluppo.springbootapp</a>, </li>
<li><a href="com/processo/sviluppo/springbootapp/controller/package-tree.html">com.processo.sviluppo.springbootapp.controller</a>, </li>
<li><a href="com/processo/sviluppo/springbootapp/model/package-tree.html">com.processo.sviluppo.springbootapp.model</a>, </li>
<li><a href="com/processo/sviluppo/springbootapp/repository/package-tree.html">com.processo.sviluppo.springbootapp.repository</a>, </li>
<li><a href="com/processo/sviluppo/springbootapp/service/package-tree.html">com.processo.sviluppo.springbootapp.service</a></li>
</ul>
</div>
<div class="contentContainer">
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">com.processo.sviluppo.springbootapp.controller.<a href="com/processo/sviluppo/springbootapp/controller/MainController.html" title="class in com.processo.sviluppo.springbootapp.controller"><span class="typeNameLink">MainController</span></a></li>
<li class="circle">com.processo.sviluppo.springbootapp.service.<a href="com/processo/sviluppo/springbootapp/service/MainService.html" title="class in com.processo.sviluppo.springbootapp.service"><span class="typeNameLink">MainService</span></a></li>
<li class="circle">com.processo.sviluppo.springbootapp.model.<a href="com/processo/sviluppo/springbootapp/model/Message.html" title="class in com.processo.sviluppo.springbootapp.model"><span class="typeNameLink">Message</span></a></li>
<li class="circle">com.processo.sviluppo.springbootapp.model.<a href="com/processo/sviluppo/springbootapp/model/Recipient.html" title="class in com.processo.sviluppo.springbootapp.model"><span class="typeNameLink">Recipient</span></a></li>
<li class="circle">com.processo.sviluppo.springbootapp.service.<a href="com/processo/sviluppo/springbootapp/service/RecipientService.html" title="class in com.processo.sviluppo.springbootapp.service"><span class="typeNameLink">RecipientService</span></a></li>
<li class="circle">com.processo.sviluppo.springbootapp.<a href="com/processo/sviluppo/springbootapp/SpringbootAppApplication.html" title="class in com.processo.sviluppo.springbootapp"><span class="typeNameLink">SpringbootAppApplication</span></a></li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">org.springframework.data.repository.Repository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">com.processo.sviluppo.springbootapp.repository.<a href="com/processo/sviluppo/springbootapp/repository/MessageRepository.html" title="interface in com.processo.sviluppo.springbootapp.repository"><span class="typeNameLink">MessageRepository</span></a></li>
<li class="circle">com.processo.sviluppo.springbootapp.repository.<a href="com/processo/sviluppo/springbootapp/repository/RecipientRepository.html" title="interface in com.processo.sviluppo.springbootapp.repository"><span class="typeNameLink">RecipientRepository</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
